// section-logo styles
$opacity-count: 1;
$scale-count: 10;
$offset-val: 445;

.section-logo {
  min-height: 100vh;
  background: $white;
  position: relative;

  &__image {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;

    &--hide {
        width: 100%;
        height: 100%;

        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;

        background-color: white;
        

        transform: translateY(0);
        transform-origin: bottom;
        transition: transform linear .5s, opacity linear 0.5s 0.5s;

        opacity: 1;


        &:before {
            content: '';

            /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#000000+0,ffffff+100&0.65+0,0+100 */
            background: -moz-linear-gradient(top,  rgba(255,255,255,0) 0%, white 100%); /* FF3.6-15 */
            background: -webkit-linear-gradient(top,  rgba(255,255,255,0) 0%,white 100%); /* Chrome10-25,Safari5.1-6 */
            background: linear-gradient(to bottom,  rgba(255,255,255,0) 0%,white 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */


            height: 30px;
            width: 100%;

            position: absolute;
            top: -30px;
        }


        &.reveal {
            transform: translateY( 120% );

            opacity: 0;
        }

    }

    &--wrapper {
      display: flex;

      align-items: center;
      justify-content: center;

      width: 100%;

      position: relative;
    }


    img {
      max-width: 266px;
    }

    @for $i from 1 through $scale-count {
      img.scaled#{$i} {
        transform: scale(($i + 1));
        color: $black;
      }
    }
  }

  &__nav {
    display: inline-block;
    position: fixed;
    bottom: 0;
    text-align: center;
    left: 0;
    right: 0;
    width: 100%;
    margin-bottom: 35px;
    animation: bounce 1.2s linear infinite;
    z-index: 100;

    .icon {
      transform: rotate(90deg);
      display: inline-block;
      font-size: calc-em(30px);
      cursor: pointer;
      transition: color 500ms ease;
    }

    @keyframes bounce {
      0% {
        transform: translateY(0);
      }

      50% {
        transform: translateY(15px);
      }

      100% {
        transform: translateY(0);
      }
    }
  }
}
